Autor Tópico: Interbase/Firebird - v6 HELP  (Lida 3184 vezes)

Almeida

  • Expert
  • *****
  • Mensagens: 610
    • Email
Interbase/Firebird - v6 HELP
« Online: Março 01, 2012, 11:05:10 am »
Pessoal estou com problemas para conectar com o Firebird...

Já ativei a extensão no php.ini coloquei a dll na pasta phpext do scriptcasev6
fiz tudo oque achei que poderia dar certo, se alguém já consegiu conectar na v6 com FB
me de uma ajuda, na v5 funciona normal voltei nela e fiz o teste está tudo ok, só na v6 que não
está dando certo, fiz o diagnostico da v6 aparece que o Interbase está desabilitado mas não esta rsrsrs.

aparece a seguinte mensagem na hora de fazer a conexão:

Falha na conexão.
A extensão interbase do PHP precisa estar habilitada para acessar este banco de dados.


Se alguém já tiver conseguido da uma dica ai.

Outra coisa uso o WAMP 2.2D, php v.5.3.10 e apache 2.2.21.

Aguardo,
Abraços.
« Última modificação: Março 01, 2012, 11:06:51 am por almeida »

Att.
Eliezer Almeida
eliezeralmeidago@hotmail.com
www.infotecsoft.com.br - Modernidade e Eficiência

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1636
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #1 Online: Março 01, 2012, 11:14:49 am »
Almeida,
O suporte me falou que estão com problema na conexão com firebird.
O sc 6 não esta conseguindo conectar no firebird.
Eles estão tentando resolver este problema.
Acho que é por isto a demora em lançar as correções de bug.
Eu também estou na espera desta correção.
Por enquanto uso a versão 5.
Obrigado
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

joaopaulo

  • Novato
  • *
  • Mensagens: 1
Re:Interbase/Firebird - v6 HELP
« Responder #2 Online: Março 06, 2012, 12:58:17 pm »
Estou com o mesmo problema


Pessoal estou com problemas para conectar com o Firebird...

Já ativei a extensão no php.ini coloquei a dll na pasta phpext do scriptcasev6
fiz tudo oque achei que poderia dar certo, se alguém já consegiu conectar na v6 com FB
me de uma ajuda, na v5 funciona normal voltei nela e fiz o teste está tudo ok, só na v6 que não
está dando certo, fiz o diagnostico da v6 aparece que o Interbase está desabilitado mas não esta rsrsrs.

aparece a seguinte mensagem na hora de fazer a conexão:

Falha na conexão.
A extensão interbase do PHP precisa estar habilitada para acessar este banco de dados.


Se alguém já tiver conseguido da uma dica ai.

Outra coisa uso o WAMP 2.2D, php v.5.3.10 e apache 2.2.21.

Aguardo,
Abraços.

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1636
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #3 Online: Março 10, 2012, 03:43:52 am »
Alguém tem alguma novidade de quando sai esta correção?
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Yuri Esteves

  • Administrator
  • Expert
  • *****
  • Mensagens: 818
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #4 Online: Março 16, 2012, 05:02:36 pm »
ScriptCase 6 roda em PHP 5.3. Esta versão do PHP teve alguns problemas durante a conexão com banco de dados Firebird. Para resolver este problema de conexão realize o procedimento abaixo, por favor:

1 - Baixe este arquivo e extraia-o em PHP pasta extensão (por padrão, ele é "C:\Arquivos de programas\NetMake\v6\ZendServer\lib\phpext"):

http://www.netmake.com.br/knowledge/download/php_dll_firebird.zip

2 - Baixar o arquivo e extraí-lo na pasta Binary Zend Server (por padrão, ele é "C:\Arquivos de programas\NetMake\v6\ZendServer\bin"):

http://www.netmake.com.br/knowledge/download/dll_firebird.zip


3 - Adicione essas linhas no seu arquivo php.ini (por padrão, ele está localizado em "C:\Arquivos de programas\NetMake\v6\ZendServer\etc"):

extension = php_interbase.dll
extension = php_pdo_firebird.dll

4 - Reinicie o servidor e você será capaz de se conectar com Firebird (Interbase).

Haroldo

  • Expert
  • *****
  • Mensagens: 6262
  • Conhecimento diminui limitações.△TFA△
    • Infinitus Web Gestão Empresarial/Gestão ITIL/Consultoria Scriptcase
Re:Interbase/Firebird - v6 HELP
« Responder #5 Online: Março 16, 2012, 05:18:45 pm »
Essa solução é para o php instalado sob windows, correto? e no Linux?

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1636
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #6 Online: Março 16, 2012, 10:34:39 pm »
Pois é... eu uso Linux. Não tem dll no Linux
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Edu

  • Novato
  • *
  • Mensagens: 5
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #7 Online: Agosto 20, 2012, 02:41:34 pm »
Valeu, no Windows funcionou mesmo.

Vieira

  • Intermediário
  • ***
  • Mensagens: 104
  • O tempo é a chave.
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #8 Online: Agosto 20, 2012, 03:42:23 pm »
Como faço no caso de usar o linux?
Att. Vieira
vieirasantosn@gmail.com
skype: vieirasantosn / vieirasantosn@gmail.com
gtalk: vieirasantosn

ewerton21

  • Novato
  • *
  • Mensagens: 43
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #9 Online: Dezembro 21, 2012, 03:45:51 pm »
Fiz os procedimentos informados de dlls mais toda vez que mando conectar a um banco firebird da a mensagem:

Falha na conexão.

A extensão interbase do PHP precisa estar habilitada para acessar este banco de dados.

Fiz um arquivo para ver o php instalado e nnca habilita essa danada dessa extensão do interbase é fogo.

Alguem da mais alguma pista?

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1636
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #10 Online: Dezembro 21, 2012, 04:47:51 pm »
Você tem que instalar a biblioteca cliente de conexão seja no windows no linux.
So com a biblioteca instalada o apache consegue carregar a extensão do Firebird.
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Alexandre Pereira Bühler

  • Expert
  • *****
  • Mensagens: 1636
  • Nunca estabeleça um teto para os seus rendimentos.
    • Simão & Bühler Ltda
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #11 Online: Dezembro 22, 2012, 11:47:40 am »
Deu certo instalando a biliboteca cliente Almeida?
--
Alexandre Pereira Bühler
https://www.simaoebuhler.com.br
Hospedagem compartilhada Scriptcase desenvolvimento e produção. Temos servidores dedicados Scriptcase.
Eu RTFM todo dia e você?

Almeida

  • Expert
  • *****
  • Mensagens: 610
    • Email
Re:Interbase/Firebird - v6 HELP
« Responder #12 Online: Janeiro 07, 2013, 08:29:37 am »
cara faz tanto tempo que arrumei que nem lembro. rsrsrs
Vlw aew

Att.
Eliezer Almeida
eliezeralmeidago@hotmail.com
www.infotecsoft.com.br - Modernidade e Eficiência